Dotclear

Vous n'êtes pas identifié(e).

Annonce

#1 2010-05-25 10:25:21

Lomalarch
Responsable du photocopieur
Lieu : Colombes (92)
Inscription : 2006-05-02
Site Web

[Dotclear 2.1.7] Plugins compatibility issue !

Attention please,

last night, we released Dotclear 2.1.7, which is a transition version affecting only the automatic upgrade system. Some plugins, however, made to be usable in 2.1.x and 2.2 test the Dotclear version in order to set the correct values, and test… if the current version is minor or equal to 2.1.6, causing 2.1.7 to collapse as long as they are active.

JcDenis, who made numerous plugins, has already patched all his work and the new versions are available. We spotted these plugins on the lab that need updating in order to work properly :

*gallery
*kturl
*mymeta
*postExpired
*smiliesEditor

*ColorBox is known to need upgrade, the new version is already available on the lab.

To make them work, you have to edit the plugin’s files and search for lines like this

		if (!version_compare(DC_VERSION,'2.1.6','<=')) {

and replace 2.1.6 with 2.1.7 and it should to the trick.

For plugins developpers, we recommand to test if version is inferior to 2.2-alpha – although we don’t schedule any 2.1.8 before delivering 2.2.

Don’t hesitate to inform us here of any plugin with the same problem, we’ll edit this message when we know of updates.


RTFM attitude : https://fr.dotclear.org/documentation/2.0
Le chantier tips, tutos et astuces : http://tips.dotaddict.org/
Rien nulle part??? une petite recherche sul’ forum, alors?: https://forum.dotclear.org/search.php ?

Hors ligne

#2 2010-05-26 17:20:19

reppep
Membre
Inscription : 2009-11-14

Re : [Dotclear 2.1.7] Plugins compatibility issue !

So should subversion users upgrade DC proper to https://svn.dotclear.net/2.0/branches/2.1/2.1.6, and plugins & themes to HEAD, or should we be doing something else?

Hors ligne

#3 2010-05-28 07:41:30

Lomalarch
Responsable du photocopieur
Lieu : Colombes (92)
Inscription : 2006-05-02
Site Web

Re : [Dotclear 2.1.7] Plugins compatibility issue !

I’m not sure what you mean : what subversion branch do you use ? If you use 2.1.6, no interesting changes have been made in 2.1.7 (only the automatic update process has evolved) and you’d better wait for 2.2 to be released, and check that the plugins you use are compatible.


RTFM attitude : https://fr.dotclear.org/documentation/2.0
Le chantier tips, tutos et astuces : http://tips.dotaddict.org/
Rien nulle part??? une petite recherche sul’ forum, alors?: https://forum.dotclear.org/search.php ?

Hors ligne

#4 2014-10-06 23:25:07

paul.blanquette
Membre
Inscription : 2014-10-06
Site Web

Re : [Dotclear 2.1.7] Plugins compatibility issue !

Did you figure out the problem finally ?


Informaticien lors de mon temps libre, je m'intéresse à dotclear lorsque je ne suis pas dans mon restaurant

Hors ligne

#5 2014-10-07 11:14:54

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : [Dotclear 2.1.7] Plugins compatibility issue !

@paul.blanquette : on espère bien qu'il est parvenu à régler son problème, après 4 ans !
A part ça, le lien vers ton restau est HS.

En ligne

#6 2014-12-09 16:49:32

normangalant
Membre
Inscription : 2014-12-09

Re : [Dotclear 2.1.7] Plugins compatibility issue !

lol effectivement il serait temps depuis le temps. Petite question. Je découvre dotclear et j'aimerai bien migrer mon site (www.tableaudeconversion.fr) qui utilise actuellement getsimple. Y-a-t-il un moyen de faire çà facilement ?

Hors ligne

#7 2014-12-09 18:58:56

nikrou
Membre
Inscription : 2007-10-02
Site Web

Re : [Dotclear 2.1.7] Plugins compatibility issue !

normangalant a écrit :

lol effectivement il serait temps depuis le temps. Petite question. Je découvre dotclear et j'aimerai bien migrer mon site (www.tableaudeconversion.fr) qui utilise actuellement getsimple. Y-a-t-il un moyen de faire çà facilement ?

Je ne connais pas getSimple mais de deux choses :
- premièrement je commencerais par ouvrir une discussion dédiée
- et de deux donne nous un peu plus d'infos : cms utilisé (lien), tes "compétences" éventuellement

Mais pour répondre tout de même un peu : dotclear est un cms qui permet à la base de gérer un blog. Mais il est facilement extensible avec de nombreux plugins. Tu trouveras des sites n'ayant pas du tout l'apparence de blog, jusqu'à des sites de commerce en passant par toute sorte de site. C'est avant tout un cms donc tout est possible.


Je préfère être atteint de parkinson plutôt qu'alzheimer : je prefère renverser un peu de ma bière plutôt qu'oublier de la boire !

Présentez vos photos simplement avec Phyxo !

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map